import uuid
from pydantic import BaseModel


class LoginRequest(BaseModel):
    username: str
    secret: str


class TokenResponse(BaseModel):
    access_token: str
    refresh_token: str
    token_type: str = "bearer"

class RefreshTokenRequest(BaseModel):
    refresh_token: str


class AuthUser(BaseModel):
    id: uuid.UUID
    username: str
    is_admin: bool

    class Config:
        from_attributes = True